org.gjt.sp.jedit.bsh.classpath

## Class BshClassPath.JarClassSource

- java.lang.Object
- - org.gjt.sp.jedit.bsh.classpath.BshClassPath.ClassSource
  - - org.gjt.sp.jedit.bsh.classpath.BshClassPath.JarClassSource

Enclosing class:
  BshClassPath

    public static class BshClassPath.JarClassSource
    extends BshClassPath.ClassSource

### Method Summary

Methods
`byte[]` `getCode(java.lang.String className)`
`java.net.URL` `getURL()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getURL

    public java.net.URL getURL()

#### getCode

    public byte[] getCode(java.lang.String className)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`